#pragma once

#include "RemotePeer.hpp"


namespace drp::packet::info {


/**
 * Represent the content of an info packet.
 * Contains information about the peer sending it.
 */
class InfoPacketData {
public:
    [[nodiscard]] std::vector<std::uint8_t> serialize() const;
    static InfoPacketData deserialize(std::vector<std::uint8_t>& data);

    Peer peer;
};


}
